| libusb 1.0.24 A cross-platform user library to access USB devices

Data Fields
libusb_control_setup Struct Reference
Asynchronous device I/O

Setup packet for control transfers. More...

`#include <libusb.h>`

## Data Fields
uint8_t | bmRequestType
| Request type. More...
uint8_t | bRequest
| Request. More...
uint16_t | wValue
| Value. More...
uint16_t | wIndex
| Index. More...
uint16_t | wLength
| Number of bytes to transfer.

## Detailed Description

Setup packet for control transfers.

## Field Documentation

## ◆ bmRequestType

uint8_t libusb_control_setup::bmRequestType

Request type.

Bits 0:4 determine recipient, see libusb_request_recipient. Bits 5:6 determine type, see libusb_request_type. Bit 7 determines data transfer direction, see libusb_endpoint_direction.

## ◆ bRequest

uint8_t libusb_control_setup::bRequest

Request.

If the type bits of bmRequestType are equal to LIBUSB_REQUEST_TYPE_STANDARD then this field refers to libusb_standard_request. For other cases, use of this field is application-specific.

## ◆ wValue

uint16_t libusb_control_setup::wValue

Value.

Varies according to request

## ◆ wIndex

uint16_t libusb_control_setup::wIndex

Index.

Varies according to request, typically used to pass an index or offset

The documentation for this struct was generated from the following file:

- libusb.h